Gönderen Konu: [Nasıl] Linux Mint 18.x Linux Çekirdeği 4.15.x HWE Destekli Sürüm Kurulumu  (Okunma sayısı 1309 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 15602
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 3
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Lütfen bu konuya sadece 4.15.x serisi çekirdeğin kurulması ile ilgili sorunların çözümü için geri dönüş yapınız. 4.15.x çekirdek serisi ile ilgili yaşadığınız özel sorunlar için bu konuya geri dönüş yapmayınız, yeni konu açmanız uygun olacaktır.

Linux Mint 18.x serisinde, çekirdeğin 4.15.x hwe destekli sürümünü aşağıdaki komutla kurabilirsiniz. Bu çekirdek sürümünün, Linux Mint 18.x serisinin destek süresinin bitimine kadar desteği sürecek.

Kod: [Seç]
sudo apt install linux-generic-hwe-16.04-edge
Eğer sisteminizde linux-kernel-generic ya da linux-headers-generic-hwe-16.04 ve linux-image-generic-hwe-16.04 paketleri kurulu ise aşağıdaki komutla kaldırmanız önerilir.

Kod: [Seç]
sudo apt purge linux-kernel-generic
Kod: [Seç]
sudo apt purge linux-headers-generic-hwe-16.04 linux-image-generic-hwe-16.04
Kurulum sonrasında yeni çekirdeğin etkinleşmesi için, sistemi yeniden başlatmalısınız. Aşağıdaki komutla çekirdek sürümünü kontrol edebilirsiniz.

Kod: [Seç]
uname -r
Çekirdeğin 4.8.x, 4.10.x ve 4.13.x sürümlerine uzun süreli destek verilmeyeceği için, bu çekirdekleri kullananların  4.15.x serisine geçmesi önemli. Bunu sadece güncel çekirdeği kullanmak olarak değerlendirmemek gerekiyor, zira desteği biten çekirdek serileri için güvenlik güncellemesi de gelmiyor. Çekirdeğin 4.4.x serisine ise destek süresinin bitimine kadar destek verileceğinden, bu sürümü kullanlar dilerse geçiş yapmayabilirler. Şu an 4.13.x serisine güncelleme geliyor, ama bir süre sonra bunun da desteği kesilecek.

Linux Mint 18.x için, çekirdek sürümlerinin destek süreleri.

4.4.x Serisi - Nisan 2021 - (Uzun süreli destek)
4.8.x Serisi - Ağustos 2017 - (Destek süresi bitti)
4.10.x Serisi - Şubat 2018 - (Destek süresi bitti)
4.13.x Serisi - Ağustos 2018 - (Destek süresi bitmedi, ama Ağustos 2018'den sonra destek olmayacak)
4.15.x Serisi - Nisan 2021 - (Uzun süreli destek)



Sorun yaşanması durumunda, sistemi Grub menüsündeki gelişmiş seçenekler altındaki eski çekirdek ile açınız. Masaüstüne ulaştığınızda Güncelleme Yöneticisi => Görünüm Menüsü => Linux çekirdekleri aracını açıp, sorun yaşanan çekirdeği kaldabilirsiniz.





« Son Düzenleme: 24 Ağustos 2018, 00:07:26 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 15602
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 3
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Linux Mint 18.x serisi altında çekirdeğin 4.15.x serisine geçenler, aşağıdaki aygıtlar için önerileri uygulayabilirler.



Broadcom kablosuz ağ aygıtı için bcmwl-kernel-source paketi ile gelen sahipli sürücüyü kullananların, aşağıdaki komutlarla sürücü güncellemesi yapması gerekebilir.

Kod: [Seç]
wget http://mirrors.kernel.org/ubuntu/pool/restricted/b/bcmwl/bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu4_amd64.deb
sudo dpkg -i bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu4_amd64.deb



Nvidia-340 sürücüsünü kullananların, aşağıdaki komutlarla Nvidia PPA deposundan sürücü güncellemesi yapmaları gerekiyor.

Kod: [Seç]
sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt update
sudo apt hold nvidia-settings
sudo apt install nvidia-340
« Son Düzenleme: 29 Temmuz 2018, 13:38:38 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...